For Developers
List Onboardings
GET https://ed.link/api/v2/teams/:team_id/onboardings
Returns onboarding invitations created by the team, ordered by sequence descending.
Permissions
Requires the onboardings.read system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
$count | Number | No | Maximum number of records to return. |
$after | String | No | Cursor for pagination. |
Sample Request
const response = await axios.get(
`https://ed.link/api/v2/teams/${team_id}/onboardings`,
{
headers: {
authorization: `Bearer ${user_session_token}`
},
params: { $count: 25 }
}
);
Sample Response
{
"$data": [
{
"id": "c3600e5f-7da5-4820-9ca9-aa4a1e9793b3",
"created_date": "2026-07-01T14:00:00.000Z",
"updated_date": "2026-07-15T09:30:00.000Z",
"state": "pending",
"application_id": "035d6dd6-1569-47b2-8ed8-63435be58078",
"automatic_approval": false
}
]
}
